Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.hibernate.ejb.criteria.expression
Enum BinaryArithmeticOperation.Operation

    java.lang.Object
      java.lang.Enum<BinaryArithmeticOperation.Operation>
          org.hibernate.ejb.criteria.expression.BinaryArithmeticOperation.Operation

All Implemented Interfaces:
  Serializable, Comparable<BinaryArithmeticOperation.Operation>

Enclosing class:
  BinaryArithmeticOperation<N extends Number>

    public static enum BinaryArithmeticOperation.Operation

extends Enum<BinaryArithmeticOperation.Operation>

Enum Constant Summary
`ADD`
`DIVIDE`
`MOD`
`MULTIPLY`
`QUOT`
`SUBTRACT`

Method Summary
`static BinaryArithmeticOperation.Operation` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static BinaryArithmeticOperation.Operation[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ADD

    public static final BinaryArithmeticOperation.Operation ADD

### SUBTRACT

    public static final BinaryArithmeticOperation.Operation SUBTRACT

### MULTIPLY

    public static final BinaryArithmeticOperation.Operation MULTIPLY

### DIVIDE

    public static final BinaryArithmeticOperation.Operation DIVIDE

### QUOT

    public static final BinaryArithmeticOperation.Operation QUOT

### MOD

    public static final BinaryArithmeticOperation.Operation MOD

Method Detail

### values

    public static BinaryArithmeticOperation.Operation[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (BinaryArithmeticOperation.Operation c : BinaryArithmeticOperation.Operation.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static BinaryArithmeticOperation.Operation valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.